##// END OF EJS Templates
pytest: fixed package requirements for latest setuptools which breaks backward compat.
milka -
r4630:53703970 stable
parent child
Show More
@@ -0,0 +1,12
1 diff -rup pytest-4.6.5-orig/setup.py pytest-4.6.5/setup.py
2 --- pytest-4.6.5-orig/setup.py 2018-04-10 10:23:04.000000000 +0200
3 +++ pytest-4.6.5/setup.py 2018-04-10 10:23:34.000000000 +0200
4 @@ -24,7 +24,7 @@ INSTALL_REQUIRES = [
5 def main():
6 setup(
7 use_scm_version={"write_to": "src/_pytest/_version.py"},
8 - setup_requires=["setuptools-scm", "setuptools>=40.0"],
9 + setup_requires=["setuptools-scm", "setuptools<=42.0"],
10 package_dir={"": "src"},
11 # fmt: off
12 extras_require={ No newline at end of file
@@ -274,6 +274,12 self: super: {
274 ];
274 ];
275 });
275 });
276
276
277 "pytest" = super."pytest".override (attrs: {
278 patches = [
279 ./patches/pytest/setuptools.patch
280 ];
281 });
282
277 # Avoid that base packages screw up the build process
283 # Avoid that base packages screw up the build process
278 inherit (basePythonPackages)
284 inherit (basePythonPackages)
279 setuptools;
285 setuptools;
General Comments 0
You need to be logged in to leave comments. Login now